diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index 2f3f79d..d2f5baa 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -111,6 +111,14 @@ vacuum(VacuumStmt *vacstmt, Oid relid, bool do_toast,
 	Assert(vacstmt->options & (VACOPT_VACUUM | VACOPT_ANALYZE));
 	Assert((vacstmt->options & VACOPT_VACUUM) ||
 		   !(vacstmt->options & (VACOPT_FULL | VACOPT_FREEZE)));
+	Assert((vacstmt->options & VACOPT_VACUUM) ||
+		   vacstmt->freeze_min_age == -1);
+	Assert((vacstmt->options & VACOPT_VACUUM) ||
+		   vacstmt->freeze_table_age == -1);
+	Assert((vacstmt->options & VACOPT_VACUUM) ||
+		   vacstmt->multixact_freeze_min_age == -1);
+	Assert((vacstmt->options & VACOPT_VACUUM) ||
+		   vacstmt->multixact_freeze_table_age == -1);
 	Assert((vacstmt->options & VACOPT_ANALYZE) || vacstmt->va_cols == NIL);
 
 	stmttype = (vacstmt->options & VACOPT_VACUUM) ? "VACUUM" : "ANALYZE";
